rotatefilled = {};

function rotatefilled.prerequisitesPresent(specializations)
    return true;
end;

function rotatefilled:load(xmlFile)
	self.rotor1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotor1#index"));
	self.rotor2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotor2#index"));
	self.rotor3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotor3#index"));
	self.rotor4 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotor4#index"));
end;

function rotatefilled:delete()
end;

function rotatefilled:update(dt)
    if self.fillLevel > 0 then	
		rotate(self.rotor1, 0, 0, -1/80 );
		rotate(self.rotor2, 0, 0, -1/8 );
		rotate(self.rotor3, 0, 0, -1/8 );
		rotate(self.rotor4, 0, 0, -1/20 );
	else
		rotate(self.rotor1, 0, 0, 0 );
		rotate(self.rotor2, 0, 0, 0 );
		rotate(self.rotor3, 0, 0, 0 );
		rotate(self.rotor4, 0, 0, 0 );
	end;
end;

function rotatefilled:mouseEvent(posX, posY, isDown, isUp, button)
end;

function rotatefilled:keyEvent(unicode, sym, modifier, isDown)
end;

function rotatefilled:draw()
end;

function rotatefilled:onEnter()
end;

function rotatefilled:onLeave()
end;